moonshot-trust-router (3.5.0+1ubuntu1) focal; urgency=medium

  * Fix ftbfs with glib2.0 synced from experimental without doing any test
    rebuilds what will break ...

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Oct 2019 14:53:28 +0200

moonshot-trust-router (3.5.0+1build1) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 19:56:15 +0000

moonshot-trust-router (3.5.0+1) unstable; urgency=medium

  [ Jisc ]
  * Add support for IPv6
  * Allow tids to receive a list IP addresses to listen from
  * Allow constriants to contain multiple '*' and '?' wildcards anywhere

  [ Sam Hartman ]
  * Standards version 4.4.0
  * debhelper compat 12
  * For now disable dh_dwz because I'm not sure how to get it to work with
    a dbg-pkg like moonshot-trust-router-dbg.  I don't think I want to get
    rid of moonshot-trust-router-dbg.
  * It's probably safe to allow this into testing, Closes: #766298
  * Uses openssl 1.1, Closes: #828441
  * Clean up /var/lib/trust_router on purge, Closes: #770537

 -- Sam Hartman <hartmans@debian.org>  Tue, 06 Aug 2019 17:10:11 -0400

moonshot-trust-router (3.4.10) unstable; urgency=medium

  * Reorganise some of the "internal" configuration options into groups
  * Fix some issues found by the CLANG static analyser
  * Add a log message indicating that changes to hostname or ports require
    a restart to take effect.

 -- Jisc <moonshot@jisc.ac.uk>  Wed, 20 Mar 2019 00:00:00 -0000

moonshot-trust-router (3.4.9) unstable; urgency=medium

  * Fix how default values are set for systemd units

 -- Jisc <moonshot@jisc.ac.uk>  Tue, 5 Mar 2019 00:00:00 -0000

moonshot-trust-router (3.4.8) unstable; urgency=medium

  * Rework of tids command line arguments and init scripts

 -- Jisc <moonshot@jisc.ac.uk>  Mon, 4 Mar 2019 00:00:00 -0000

moonshot-trust-router (3.4.7) unstable; urgency=medium

  * Update source URL
  * Allow realms to be case insensitive
  * Update "tids" so it accepts optional arguments and has sensible
    default values

 -- Jisc <moonshot@jisc.ac.uk>  Wed, 27 Feb 2019 00:00:00 -0000

moonshot-trust-router (3.4.6) unstable; urgency=medium

  * Build source package

 -- Jisc <moonshot@jisc.ac.uk>  Sat, 2 Feb 2019 00:00:00 -0000

moonshot-trust-router (3.4.5-0) unstable; urgency=medium

  * Include Build for Debian Buster

 -- Jisc <moonshot@jisc.ac.uk>  Tue, 22 Jan 2019 00:00:00 -0000

moonshot-trust-router (3.4.4-0) unstable; urgency=medium

  * Improve tidc/tids/trmon command help
  * Support OpenSSL 1.1

 -- Jisc <moonshot@jisc.ac.uk>  Tue, 27 Nov 2018 00:00:00 -0000

moonshot-trust-router (3.4.3-0) unstable; urgency=medium

  * Fix bug making trustrouter server not sending error responses.
  * Fix "internal error" caused not finding authorisations.

 -- Jisc <moonshot@jisc.ac.uk>  Wed, 12 Sep 2018 00:00:00 -0000

moonshot-trust-router (3.4.2-0) unstable; urgency=medium

  * Add trust_router systemd unit
  * Fix tids systemd unit

 -- Jisc <moonshot@jisc.ac.uk>  Mon, 3 Sep 2018 13:00:08 -0000

moonshot-trust-router (3.4.1-0) unstable; urgency=medium

  * Fix broken libtr_tid shared library
  * Link trust_router, tids, and tidc against libtr_tid
  * Disentangle TID, TRP, and MON protocols in tr_msg.c and tr_filter.c
  * Handle missing monitoring section in internal configuration
  * Fix pointer dereferencing error
  * Remove duplicated typedefs
  * Eliminate compiler warnings
  * Update internal.cfg example configuration file

 -- Jennifer Richards <jennifer@painless-security.com>  Tue, 5 Jun 2018 12:39:08 -0400

moonshot-trust-router (3.4.0-2) unstable; urgency=medium

  * Use json_is_true() in place of json_boolean_value() for compatibility

 -- Jennifer Richards <jennifer@painless-security.com>  Tue, 5 Jun 2018 12:39:08 -0400

moonshot-trust-router (3.4.0-1) unstable; urgency=medium

  * Add monitoring interface and trmon utility
  * Support non-default TID and TRP ports
  * Add timeout to GSS buffer reads to prevent hung processes
  * Changes to configuration files
    - ports now specified by hostname:port for AAA servers / trust routers
    - "monitoring" section added to internal configuration
  * Fix several bugs and memory leaks
  * Improved cleanup of terminated subprocesses
  * Improvements to logging
  * Add a "request_id" to TID requests

 -- Jennifer Richards <jennifer@painless-security.com>  Mon, 4 Jun 2018 11:00:00 -0400

moonshot-trust-router (3.3.0-1) unstable; urgency=medium

  * Fix segfault when sweeping realms and communities

 -- Jennifer Richards <jennifer@painless-security.com>  Fri, 23 Feb 2018 12:09:20 -0500

moonshot-trust-router (3.0.3-3) unstable; urgency=medium

  * Use default AAA servers for unrouted realms
  * Always return NULL if allocation fails in tr_compute_dh_key
  * Improve example config files

 -- Jennifer Richards <jennifer@painless-security.com>  Tue, 13 Nov 2017 12:16:35 -0400

moonshot-trust-router (3.0.2-2) unstable; urgency=medium

  * Add --no-start option to dh_installinit for TIDS service
  * Remove unintended dependency on Jansson in trust_router/tr_name.h
  * Load multiple configuration files properly
  * Fix memory leak when loading configuration files
  * Reduce amount of debug output

 -- Jennifer Richards <jennifer@painless-security.com>  Tue, 12 Sep 2017 11:28:11 -0400

moonshot-trust-router (3.0.0-5) unstable; urgency=medium

  * Add public accessor for TID_SRVR_BLK's key_expiration

 -- Jennifer Richards <jennifer@painless-security.com>  Mon, 17 Jun 2017 14:51:38 -0400

moonshot-trust-router (3.0.0-4) unstable; urgency=medium

  * Initialize refcount for IDP realms

 -- Jennifer Richards <jennifer@painless-security.com>  Fri, 14 Jun 2017 18:55:03 -0400

moonshot-trust-router (3.0.0-3) unstable; urgency=medium

  * Apply filters from all RP clients applicable to a GSS name to a TID request

 -- Jennifer Richards <jennifer@painless-security.com>  Thu, 13 Jun 2017 20:42:27 -0400

moonshot-trust-router (3.0.0-2) unstable; urgency=medium

  * Fix loop termination condition in trps_filter_outbound_updates()
  * Correct the default TID and TRP ports in internal.cfg

 -- Jennifer Richards <jennifer@painless-security.com>  Tue, 11 Jun 2017 11:25:14 -0400

moonshot-trust-router (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Support full TID and TRP filtering
  * Add --version option

 -- Jennifer Richards <jennifer@painless-security.com>  Thu, 06 Jun 2017 12:22:37 -0400

moonshot-trust-router (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * Support community information flooding
  * Support support multiple AAA servers for an IdP
  * Support IPv6 addressing

 -- Jennifer Richards <jennifer@painless-security.com>  Thu, 26 Jan 2017 18:00:00 -0400

moonshot-trust-router (2.0-1) UNRELEASED; urgency=low

  * New upstream release
  * Support dynamic trust route peering, flooding, and discovery
  * Support TID request routing
  * New configuration file format

 -- Jennifer Richards <jennifer@painless-security.com>  Tue, 20 Sep 2016 14:57:24 -0400


moonshot-trust-router (1.5.1~2) unstable; urgency=medium

  * Fix insert statement

 -- Sam Hartman <hartmans@debian.org>  Wed, 25 Mar 2015 21:20:54 -0400

moonshot-trust-router (1.5.1~1) unstable; urgency=medium

  * New Upstream version to fix key expiration schema/view

 -- Sam Hartman <hartmans@debian.org>  Wed, 25 Mar 2015 14:30:01 -0400

moonshot-trust-router (1.5~4) unstable; urgency=medium

  * Fix versioning because we want to fix the gss_delete_sec_context for wheezy
  * Move logging section to tr_internal

 -- Sam Hartman <hartmans@debian.org>  Tue, 17 Mar 2015 15:20:21 -0400

moonshot-trust-router (1.5~3) unstable; urgency=medium

  * Pull in expiration fix
  * Depend on sufficiently new moonshot-gss-eap to avoid
    delete_sec_context problem

 -- Sam Hartman <hartmans@debian.org>  Tue, 17 Mar 2015 12:27:57 -0400

moonshot-trust-router (1.5~2) UNRELEASED; urgency=medium

  * Fix comparison operator

 -- Sam Hartman <hartmans@debian.org>  Fri, 13 Mar 2015 16:23:37 -0400

moonshot-trust-router (1.5~1) unstable; urgency=medium

  * New Upstream Release
  * Support Key expiration and  logging

 -- Sam Hartman <hartmans@debian.org>  Wed, 11 Mar 2015 10:52:39 -0400

moonshot-trust-router (1.4.1-2) unstable; urgency=medium

  * Print default realm from Config  (LP: #1386654)

 -- Sam Hartman <hartmans@debian.org>  Tue, 04 Nov 2014 15:50:04 -0500

moonshot-trust-router (1.4.1-1) unstable; urgency=medium

  * New upstream version
    * Fix major bug in handling of community lookups when defaulting is
    not used.

 -- Sam Hartman <hartmans@debian.org>  Tue, 07 Oct 2014 07:19:13 -0400

moonshot-trust-router (1.4-9) unstable; urgency=medium

  * Fix lintian errors:
      - Update LSB header for tids init script
      - Make tids wrapper executable
      - Override things lintian gets wrong

 -- Sam Hartman <hartmans@debian.org>  Fri, 03 Oct 2014 16:22:31 -0400

moonshot-trust-router (1.4-8) unstable; urgency=medium

  * Fix umask of database

 -- Sam Hartman <hartmans@debian.org>  Fri, 03 Oct 2014 11:15:57 -0400

moonshot-trust-router (1.4-7) unstable; urgency=medium

  * Remove debugging and fix postinst script to work when SHELL is not set.

 -- Sam Hartman <hartmans@debian.org>  Fri, 03 Oct 2014 10:20:15 -0400

moonshot-trust-router (1.4-6) unstable; urgency=medium

  * Even more debugging

 -- Sam Hartman <hartmans@debian.org>  Thu, 02 Oct 2014 16:44:20 -0400

moonshot-trust-router (1.4-5) unstable; urgency=medium

  * Even more debugging

 -- Sam Hartman <hartmans@debian.org>  Thu, 02 Oct 2014 16:01:30 -0400

moonshot-trust-router (1.4-4) unstable; urgency=medium

  * postinst quiet about user creation
  * tids.init:fix run levels
  * Add debugging to postinst to try and understand dvd creation bug

 -- Sam Hartman <hartmans@debian.org>  Wed, 01 Oct 2014 22:37:46 -0400

moonshot-trust-router (1.4-3) unstable; urgency=medium

  * Create a schema on upgrade or install

 -- Sam Hartman <hartmans@debian.org>  Tue, 30 Sep 2014 15:21:43 -0400

moonshot-trust-router (1.4-2) unstable; urgency=medium

  * Update to fix bug in init script, Thanks Stefan

 -- Sam Hartman <hartmans@debian.org>  Tue, 30 Sep 2014 14:53:39 -0400

moonshot-trust-router (1.4-1) unstable; urgency=medium

  * New Upstream version
  * Install tids init script, thanks Stefan Paetow

 -- Sam Hartman <hartmans@debian.org>  Fri, 26 Sep 2014 10:45:18 -0400

moonshot-trust-router (1.3.1-1) unstable; urgency=medium

  * New Upstream Version
  * Initial Debian release, Closes: #759398
  * Use git dpm and 3.0 quilt source format

 -- Sam Hartman <hartmans@debian.org>  Wed, 27 Aug 2014 19:13:23 -0400

moonshot-trust-router (1.3-1) unstable; urgency=medium

  * New upstream version

 -- Sam Hartman <hartmans@debian.org>  Tue, 22 Jul 2014 12:05:27 -0400

moonshot-trust-router (1.2-4) unstable; urgency=medium

  * Fix another bug in tids.service

 -- Sam Hartman <hartmans@debian.org>  Mon, 26 May 2014 15:43:46 -0400

moonshot-trust-router (1.2-3) unstable; urgency=medium

  * trust_router not trustrouter in tids.service

 -- Sam Hartman <hartmans@debian.org>  Wed, 21 May 2014 16:02:15 -0400

moonshot-trust-router (1.2-2) unstable; urgency=medium

  * Include systemd service and schema file
  * Create trustrouter user on install

 -- Sam Hartman <hartmans@debian.org>  Mon, 19 May 2014 20:48:12 -0400

moonshot-trust-router (1.2-1) unstable; urgency=low

  * New upstream version.


  * Includes constraints, gss-name change and settable port number.


 -- Margaret Wasserman <mrw@painless-security.com>  Tue, 18 Mar 2014 18:00:19 -0400

moonshot-trust-router (1.0.1-1) unstable; urgency=low

  * New upstream version

 -- Sam Hartman <hartmans@debian.org>  Fri, 20 Dec 2013 15:17:17 -0500

moonshot-trust-router (1.0-2) unstable; urgency=low

  * New release including trustidentity for acceptor

 -- Sam Hartman <hartmans@debian.org>  Wed, 20 Nov 2013 08:26:16 -0500

moonshot-trust-router (1.0-1) unstable; urgency=low

  * New upstream version, 1.0 release

 -- Mark Donnelly <mark@mark-VirtualBox.painless-security.com>  Thu, 18 Jul 2013 11:00:32 -0400

moonshot-trust-router (0.2+20130506-1) unstable; urgency=low

  * New upstream version, beta release

 -- Margaret Wasserman <mrw@painless-security.com>  Mon, 06 May 2013 15:40:43 -0400

moonshot-trust-router (0.1+20130418-1) unstable; urgency=low

  * New upstream version
  * Includes trust router and working tids

 -- Sam Hartman <hartmans@debian.org>  Thu, 18 Apr 2013 11:47:21 -0400

moonshot-trust-router (0.0+20121205) unstable; urgency=low

  * Initial Release.

 -- Sam Hartman <hartmans@debian.org>  Wed, 05 Dec 2012 14:24:54 -0500
